Browse code

core, lib, modules: restructured source code tree

- new folder src/ to hold the source code for main project applications
- main.c is in src/
- all core files are subfolder are in src/core/
- modules are in src/modules/
- libs are in src/lib/
- application Makefiles are in src/
- application binary is built in src/ (src/kamailio)

Daniel-Constantin Mierla authored on 07/12/2016 11:03:51
Showing 1 changed files
1 1
deleted file mode 100755
... ...
@@ -1,83 +0,0 @@
1
-#!/bin/sh
2
-
3
-#$Id$
4
-#
5
-# finds CC version and prints it in the following format:
6
-# compiler_name version major_version
7
-#
8
-
9
-
10
-
11
-if [ $# -lt 1 ]
12
-then 
13
-	echo "Error: you must specify the compiler name" 1>&2
14
-	exit 1
15
-fi
16
-
17
-if [ "$1" = "-h" ]
18
-then
19
-	echo "Usage: "
20
-	echo "      $0 compiler_name"
21
-	exit 1
22
-fi
23
-
24
-
25
-CC=$1
26
-
27
-if  which $CC >/dev/null
28
-then
29
-	(test ! -x `which $CC`) && echo "Error: $CC not executable" 1>&2 && exit 1
30
-else
31
-	echo "Error: $CC not found or not executable" 1>&2
32
-	exit 1 
33
-fi
34
-
35
-
36
-if $CC -v 2>/dev/null 1>/dev/null
37
-then
38
-	FULLVER=`$CC -v 2>&1` 
39
-else
40
-	FULLVER=`$CC -V 2>&1`
41
-fi
42
-
43
-
44
-
45
-if [ -n "$FULLVER" ]
46
-then
47
-	# check if gcc
48
-	if echo "$FULLVER"|grep gcc >/dev/null
49
-	then
50
-		NAME=gcc
51
-		VER=`$CC --version|head -n 1| \
52
-				sed -e 's/^[^0-9]*\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\).*/\1/'\
53
-				    -e 's/^[^.0-9]*\([0-9][0-9]*\.[0-9][0-9]*\).*/\1/'`
54
-	elif echo "$FULLVER"|grep Sun >/dev/null
55
-	then
56
-		NAME=suncc
57
-		VER=`echo "$FULLVER"|head -n 1| \
58
-				sed -e 's/.*\([0-9][0-9]*\.[0-9][0-9]*\).*/\1/'`
59
-	elif echo "$FULLVER"|grep "Intel(R) C++ Compiler" >/dev/null
60
-	then
61
-		NAME=icc
62
-		VER=`echo "$FULLVER"|head -n 1| \
63
-				sed -e 's/.*Version \([0-9]\.[0-9]\.[0-9]*\).*/\1/' ` 
64
-	fi
65
-	
66
-	# find major ver
67
-	if [  -n "$VER"  -a -z "$MAJOR_VER" ]
68
-	then
69
-		MAJOR_VER=`echo "$VER" |cut -d. -f1`
70
-	fi
71
-fi	
72
-
73
-
74
-#unknown
75
-if [ -z "$NAME" ]
76
-then
77
-	NAME="unknown"
78
-	VER="unknown"
79
-	MAJOR_VER="unknown"
80
-fi
81
-
82
-
83
-echo "$NAME $VER $MAJOR_VER"
Browse code

- Spelling checked - READMEs updated

Jan Janak authored on 24/08/2004 08:45:09
Showing 1 changed files
... ...
@@ -76,7 +76,7 @@ if [ -z "$NAME" ]
76 76
 then
77 77
 	NAME="unknown"
78 78
 	VER="unknown"
79
-	MAJOR_VER="unkown"
79
+	MAJOR_VER="unknown"
80 80
 fi
81 81
 
82 82
 
Browse code

- mac os x support ported from stable - version increased to 0.8.99-dev - makefile gcc version detection update (should correctly detect the version on gentoo now) - other small 0.8.14 fixes

Andrei Pelinescu-Onciul authored on 27/07/2004 13:45:25
Showing 1 changed files
... ...
@@ -48,18 +48,18 @@ then
48 48
 	if echo "$FULLVER"|grep gcc >/dev/null
49 49
 	then
50 50
 		NAME=gcc
51
-		VER=`$CC --version|head -1| \
52
-				sed -e 's/.*\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\).*/\1/'\
53
-				    -e 's/.*[^.0-9]\([0-9][0-9]*\.[0-9][0-9]*\).*/\1/'`
51
+		VER=`$CC --version|head -n 1| \
52
+				sed -e 's/^[^0-9]*\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\).*/\1/'\
53
+				    -e 's/^[^.0-9]*\([0-9][0-9]*\.[0-9][0-9]*\).*/\1/'`
54 54
 	elif echo "$FULLVER"|grep Sun >/dev/null
55 55
 	then
56 56
 		NAME=suncc
57
-		VER=`echo "$FULLVER"|head -1| \
57
+		VER=`echo "$FULLVER"|head -n 1| \
58 58
 				sed -e 's/.*\([0-9][0-9]*\.[0-9][0-9]*\).*/\1/'`
59 59
 	elif echo "$FULLVER"|grep "Intel(R) C++ Compiler" >/dev/null
60 60
 	then
61 61
 		NAME=icc
62
-		VER=`echo "$FULLVER"|head -1| \
62
+		VER=`echo "$FULLVER"|head -n 1| \
63 63
 				sed -e 's/.*Version \([0-9]\.[0-9]\.[0-9]*\).*/\1/' ` 
64 64
 	fi
65 65
 	
Browse code

- added test cc ver & options scripts

Andrei Pelinescu-Onciul authored on 07/11/2002 15:26:11
Showing 1 changed files
1 1
new file mode 100755
... ...
@@ -0,0 +1,83 @@
1
+#!/bin/sh
2
+
3
+#$Id$
4
+#
5
+# finds CC version and prints it in the following format:
6
+# compiler_name version major_version
7
+#
8
+
9
+
10
+
11
+if [ $# -lt 1 ]
12
+then 
13
+	echo "Error: you must specify the compiler name" 1>&2
14
+	exit 1
15
+fi
16
+
17
+if [ "$1" = "-h" ]
18
+then
19
+	echo "Usage: "
20
+	echo "      $0 compiler_name"
21
+	exit 1
22
+fi
23
+
24
+
25
+CC=$1
26
+
27
+if  which $CC >/dev/null
28
+then
29
+	(test ! -x `which $CC`) && echo "Error: $CC not executable" 1>&2 && exit 1
30
+else
31
+	echo "Error: $CC not found or not executable" 1>&2
32
+	exit 1 
33
+fi
34
+
35
+
36
+if $CC -v 2>/dev/null 1>/dev/null
37
+then
38
+	FULLVER=`$CC -v 2>&1` 
39
+else
40
+	FULLVER=`$CC -V 2>&1`
41
+fi
42
+
43
+
44
+
45
+if [ -n "$FULLVER" ]
46
+then
47
+	# check if gcc
48
+	if echo "$FULLVER"|grep gcc >/dev/null
49
+	then
50
+		NAME=gcc
51
+		VER=`$CC --version|head -1| \
52
+				sed -e 's/.*\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\).*/\1/'\
53
+				    -e 's/.*[^.0-9]\([0-9][0-9]*\.[0-9][0-9]*\).*/\1/'`
54
+	elif echo "$FULLVER"|grep Sun >/dev/null
55
+	then
56
+		NAME=suncc
57
+		VER=`echo "$FULLVER"|head -1| \
58
+				sed -e 's/.*\([0-9][0-9]*\.[0-9][0-9]*\).*/\1/'`
59
+	elif echo "$FULLVER"|grep "Intel(R) C++ Compiler" >/dev/null
60
+	then
61
+		NAME=icc
62
+		VER=`echo "$FULLVER"|head -1| \
63
+				sed -e 's/.*Version \([0-9]\.[0-9]\.[0-9]*\).*/\1/' ` 
64
+	fi
65
+	
66
+	# find major ver
67
+	if [  -n "$VER"  -a -z "$MAJOR_VER" ]
68
+	then
69
+		MAJOR_VER=`echo "$VER" |cut -d. -f1`
70
+	fi
71
+fi	
72
+
73
+
74
+#unknown
75
+if [ -z "$NAME" ]
76
+then
77
+	NAME="unknown"
78
+	VER="unknown"
79
+	MAJOR_VER="unkown"
80
+fi
81
+
82
+
83
+echo "$NAME $VER $MAJOR_VER"